complexType "OptionExpiryBase"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | tradeIdentifier+, date, time
</...>

Content Model Elements (3):

  date (defined in OptionExpiryBase complexType), time (defined in OptionExpiryBase complexType), | tradeIdentifier (defined in OptionExpiryBase complexType)

All Direct / Indirect Based Elements (2):

  optionExpiry (defined in MaturityAndExpiryEvents.model group),
  optionExpiry (in maturityNotification)

Known Usage Locations

- As direct type of elements (2):
  optionExpiry (defined in MaturityAndExpiryEvents.model group),
  optionExpiry (in maturityNotification)

Annotation
A structure describing an option expiring.
XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="OptionExpiryBase"> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element name="date" type="xsd:date"/> <xsd:element name="time" type="xsd:time"/> </xsd:sequence> <!-- Lyteck 3/16/2011: added base type to accomodate Maturity Notification (no need for exerciseProcedure) --> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
date

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element name="date" type="xsd:date"/>

time

  Type: | xsd:time, predefined, simple content

  XML Source (see within schema source)

  <xsd:element name="time" type="xsd:time"/>

tradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="PartyTradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.